#
# spec file for package gdthd (Version 0.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile esound esound-devel gawk glib glib-devel gnome-libs gnome-libs-devel gtk gtk-devel imlib imlib-devel indent libjpeg libpng libtiff libungif libz orbit orbit-devel xf86
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gpm gppshare grep groff gtk gtk-devel gzip imlib imlib-devel indent kbd less libjpeg libpng libtiff libtool libungif libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gdthd
Copyright:      GPL
Group:          Utilities/System
Autoreqprov:    on
Version:      0.2
Release:      101
Source0:         gdthd-0.2.tar.bz2
BuildRoot:      /var/tmp/%{name}-root
Summary:      displays gthd proc info

%description
This package contains two separate programs: gdthd and
gdthd_gnome. The first one is a small daemon that checks proc
information of gdth parsing its output. The second one is a graphical
front-end for displaying gdth info.

Authors:
--------
    Dan Vesely <dan@suse.cz>

SuSE series: ap

%prep
%setup -n gdthd-0.2
%{suse_update_config}

%build
%define prefix   /usr
%define sysconfdir /etc
CFLAGS="$RPM_OPT_FLAGS"
CXXFLAGS="$RPM_OPT_FLAGS"
./configure --mandir=%{_mandir} \
                --prefix=%{prefix} \
                --infodir=%{_infodir} \
                --sysconfdir=%{sysconfdir}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT/ install
ln -sf ../../etc/init.d/gdthd $RPM_BUILD_ROOT/usr/sbin/rcgdthd

%post
sbin/insserv etc/init.d/gdthd
echo "Updating /etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.gdthd
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.acct and"
  echo "update by hand."
fi

%preun
etc/init.d/gdthd stop

%postun
sbin/insserv etc/init.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README COPYING ChangeLog data/gdthdrc.example
%doc %{_mandir}/*/*
%config %{sysconfdir}/gdthdrc
/usr/sbin/gdthd
/usr/sbin/rcgdthd
/opt/gnome/bin/gdth_gnome
%config /etc/init.d/gdthd
/var/adm/fillup-templates/rc.config.gdthd

%changelog -n gdthd
* Tue Jul 24 2001 - dan@suse.cz
- HUP signal handling added
* Wed Jul 11 2001 - dan@suse.cz
- LSB adoption, directory structure clean-up
* Tue Mar 20 2001 - dan@suse.cz
- esound devel needed for build
* Sun Feb 25 2001 - egger@suse.de
- Remove unnecessary dependencies from #neededforbuild,
  especially imlib-config.
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Fri Dec 01 2000 - uli@suse.de
- adapted to new init scheme
* Thu Nov 30 2000 - ro@suse.de
- neededforbuild again
* Mon Nov 06 2000 - ro@suse.de
- typo fixed
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Fri Nov 03 2000 - dan@suse.cz
- textutils removed
* Thu Nov 02 2000 - dan@suse.cz
- audiofil --> audiofile
- wrong init.d directories fixed
* Tue Oct 31 2000 - dan@suse.cz
- textutil package is now textutils
* Mon Oct 30 2000 - dan@suse.cz
- initial version
